<?

    //include("authentication.php");

	include("conexao_e_agenda.php");

    include("funcoes.php");

//-------------------------------fim da autenticação---------------------//

if ($_SERVER["SERVER_ADDR"] == '127.0.0.1' ){

$filename = "../images_galerias.xml";//banner_outdoors/big2.xml";//"../bossbanner/big2t.xml";

}else{

$filename = "/home/msoftx/public_html/adrianosoutoimoveis.com.br/images_galerias.xml";

}

$handle = fopen ("$filename", "w");

        

   //XML

   $xml  = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n";

   $xml .= "<slideshow>\n";

   //===================== inicio das fotos de noticias ==============

 $sql="select * from fotos where categoria='noticia' and  destaque='d' order by id desc";

 //EXECUTA A QUERY               

 $sql = mysqli_query($conexao,$sql) or die (mysqli_error($conexao));

 $linha_f=mysqli_fetch_array($sql);

 $rown = mysqli_num_rows($sql);    



//VERIFICA SE VOLTOU ALGO 

 

if($rown) { 

    //$xml .= "<pic>\n";  //  name=\"Introducing Seattle\"           

//---

   //PERCORRE ARRAY            

   for($i=0; $i<$rown; $i++) { 

   $c = $i + 1; 

      //$id    = mysqli_result($sql, $i, "id");

	  $fk_categoria =   mysqli_result($sql, $i, "fk_categoria");//$linha['fk_categoria'];

	  $categoria    =   mysqli_result($sql, $i, "categoria");//$linha['categoria'];

	  $dtnoticia    = mysqli_result($sql, $i, "dt_foto");  

      $foto    = mysqli_result($sql, $i, "caminho_foto"); 

	  $datafoto = datapadrao_datapipe($dtnoticia);

	  

	$sqlf="select count(id) as total from fotos where fk_categoria='$fk_categoria' and categoria='$categoria' order by id asc";

    $resultaf = mysqli_query($conexao,$sqlf) or die (mysqli_error($conexao));

    $linha_ft=mysqli_fetch_array($resultaf);

	$fotos = $linha_ft["total"];

 

	  if($fotos>='2'){

	  $link = "ver_galeria_album.php?fk_categoria=$fk_categoria";//&fk_categoria=$fk_categoria";

      //$xml .= "<photo image=\"images/".$foto."\" url=\"http://www.fenzzofranquias.com\" target=\"_self\" duration=\"4\"/>\n";               

      $xml .= "<photo image=\"fotos/mini/".$foto."\" url=\"$link\" target=\"_self\" info=\"Noticia $fk_categoria Data $datafoto\" />\n"; 

	  } 

	  //$xml .= "<![CDATA[<head><b>".$titulo."</b></head><body>".$texto."</body>]]>\n";

      //$xml.= "</photo>\n";

   }//FECHA FOR                 

   

   //$xml.= "</pic>\n";

 } //FECHA IF (row)   

   //===================== fim das fotos de noticias ================

   

 $sql="select * from galerias where situacao='d' order by id asc";

 //EXECUTA A QUERY               

 $sql = mysqli_query($conexao,$sql) or die (mysqli_error($conexao));

 $linha_f=mysqli_fetch_array($sql);

 $row = mysqli_num_rows($sql);    



//VERIFICA SE VOLTOU ALGO 

 

if($row) { 

    //$xml .= "<pic>\n";  //  name=\"Introducing Seattle\"           

//---

   //PERCORRE ARRAY            

   for($i=0; $i<$row; $i++) { 

   $c = $i + 1; 

      $id    = mysqli_result($sql, $i, "id");

	  $galeria    = mysqli_result($sql, $i, "galeria");  

      //$foto    = mysqli_result($sql, $i, "caminho_foto"); 

	  

	$sqlfg="select * from galerias_fotos where fk_galeria='$id' and destaque='s' order by id";// desc limit 1

    $resultafg = mysqli_query($conexao,$sqlfg) or die (mysqli_error($conexao));

	

    $linha_ftg=mysqli_fetch_array($resultafg);

	$fotogaleria = $linha_ftg["caminho_foto"]; 

    $total_fotos = conta(galerias_fotos,id,fk_galeria,$id);//mysqli_num_rows($sqlfg);

	  

	  $link = "ver_galerias.php?galeria=".$id;

      //$xml .= "<photo image=\"images/".$foto."\" url=\"http://www.fenzzofranquias.com\" target=\"_self\" duration=\"4\"/>\n";               

      $xml .= "<photo image=\"fotos_galerias/mini/".$fotogaleria."\" url=\"$link\" target=\"_self\" info=\"Galeria $galeria Fotos $total_fotos\" />\n";  

	  //$xml .= "<![CDATA[<head><b>".$titulo."</b></head><body>".$texto."</body>]]>\n";

      //$xml.= "</photo>\n";

   }//FECHA FOR                 

   

   //$xml.= "</pic>\n";

 } //FECHA IF (row)

//} 

   $xml.= "</slideshow>\n";

   //CABEÇALHO

   Header("Content-type: application/xml; charset=ISO-8859-1"); 

     

		if (is_writable($filename)) {



        // Escrevendo $$registro para o arquivo aberto.

        if (!fwrite($handle, $xml, 200024)) {

        print "Erro escrevendo no arquivo ($filename)";

        exit;

    	}

}



    fclose($handle);   



 

//---------------------------------------------------------

  echo $xml;                                 

 //header("location:principal.php"); 

 ///header("location:$_GET[origem]?id_tcomp=$_GET[id_tcomp]");          

 //$alerta = "Arquivo gerado com Sucesso!";

?>